/* Functions to print errors and warnings.
   Copyright (C) 1998 Rex Barzee

   This file is part of cls which lists contents of directories in color.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "error.h"
#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>

const char *program;

void Warning(const char *format, ...) {
  va_list args;

  fputs(program, stderr);
  fputs(": ", stderr);
  va_start(args, format);
  vfprintf(stderr, format, args);
  va_end(args);
  fputs(": ", stderr);
  perror(NULL);
}


void Error(const char *format, ...) {
  va_list args;

  fputs(program, stderr);
  fputs(": ", stderr);
  va_start(args, format);
  vfprintf(stderr, format, args);
  va_end(args);
  fputs(": ", stderr);
  perror(NULL);
  exit(1);
}
