/* Definitions for printing in color in different terminal types.
   Copyright (C) 1998 Rex Barzee

   This file is part of cls which lists contents of directories in color.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FORMAT_INCLUDED
#define FORMAT_INCLUDED

#include <sys/stat.h>

#define MAX_PATH 255

#if !defined(__cplusplus) || __cplusplus < 199707L
# undef bool
# undef false
# undef true
  typedef enum {false = 0, true = 1} bool;
#endif

typedef enum { Open, Dtterm, Hpterm } termtype;
typedef enum { NoType = 0, Ordinary = 3, Directory = 6, Executable = 9,
               Fifo = 12,  Socket = 15,  SymLink = 18 } clstype;


extern const int TYPE_LENGTHS[];

extern const char NONE[];

extern const char DT_OFF[],
                  DT_YELLOW[],
                  DT_OFF_DIR[],
                  DT_GREEN[],
                  DT_OFF_EXEC[],
                  DT_RED[],
                  DT_OFF_FIFO[],
                  DT_MAGENTA[],
                  DT_OFF_SOCK[],
                  DT_CYAN[],
                  DT_OFF_LINK[],
                  DT_BLUE[];

extern const char HP_OFF[],
                  HP_YELLOW[],
                  HP_OFF_DIR[],
                  HP_GREEN[],
                  HP_OFF_EXEC[],
                  HP_RED[],
                  HP_OFF_FIFO[],
                  HP_MAGENTA[],
                  HP_OFF_SOCK[],
                  HP_CYAN[],
                  HP_OFF_LINK[],
                  HP_BLUE[],
                  HP_BLACK[];

extern const char OPEN_DIR[],
                  OPEN_EXEC[],
                  OPEN_FIFO[],
                  OPEN_SOCK[],
                  OPEN_LINK[];

extern const char *DT_FORMATS[], *HP_FORMATS[], *OPEN_FORMATS[];
extern const char **FORMATS;

/* format.c */
clstype  FileType(mode_t m);
termtype Terminal(bool use_escape);

#endif
